# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Test-CPAN-Meta
Version:	0.18
Release:	1.%{__distinit}%{__distvers}
Summary:	Validation of the META.yml file in a CPAN distribution
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-CPAN-Meta/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BA/BARBIE/Test-CPAN-Meta-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Parse::CPAN::Meta) >= 0.02
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 0.08
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of package makers
and installers such as ExtUtils::MakeMaker, Module::Build and
Module::Install.

%prep
%setup -q -n Test-CPAN-Meta-%{version}
/usr/bin/iconv -f iso-8859-1 -t utf-8 LICENSE > LICENSE.tmp
%{__mv} -f LICENSE.tmp LICENSE

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%check
%{__make} test AUTOMATED_TESTING=1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README examples/
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::CPAN::Meta.3pm*
%{_mandir}/man3/Test::CPAN::Meta::Version.3pm*

%changelog
* Tue Feb 15 2011 Paul Howarth <paul@city-fan.org> 0.18-1
- Update to 0.18 (documentation clean up)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 0.17-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 12 2010 Paul Howarth <paul@city-fan.org> 0.17-2
- Fix dist tag for RHEL-6 Beta

* Tue Apr 13 2010 Paul Howarth <paul@city-fan.org> 0.17-1
- Update to 0.17
  - Fixed qr// delimiters due to issues with the NOT SIGN symbol

* Mon Dec 21 2009 Paul Howarth <paul@city-fan.org> 0.16-1
- Update to 0.16
  - Renamed word() to keyword()
  - Added identifier() validation
  - Changed optional_features key from a keyword to an identifier type
  - Clarified spec defined and user defined keys

* Tue Dec  8 2009 Paul Howarth <paul@city-fan.org> 0.14-1
- Update to 0.14
- * Fix RT#46473: license url with fragment part
- * Fix RT#47393: "optional_features" as map rather than list
- Dist tag for Rawhide no longer needs special-casing

* Tue May 26 2009 Paul Howarth <paul@city-fan.org> 0.13-1
- Update to 0.13
- * added version checking to standard 94metatest.t
- * added changes file checking, 95changedate.t
- * added support for v-strings
- * relaxed resource keys names, as per spec
- Update to SLES-compatible dist tag macros

* Tue Nov 11 2008 Paul Howarth <paul@city-fan.org> 0.12-2
- Import from Fedora
- Drop Test::More version requirement to support builds on old distributions

* Tue Jul 01 2008 Steven Pritchard <steve@kspei.com> 0.12-1
- Update to 0.12.
- BR Test::Builder and Test::Builder::Tester.

* Wed Jun 04 2008 Steven Pritchard <steve@kspei.com> 0.11-1
- Update to 0.11.

* Fri May 16 2008 Steven Pritchard <steve@kspei.com> 0.10-1
- Specfile autogenerated by cpanspec 1.75.
- Enable author tests.
- Add examples to docs.
- BR Test::More.
- Convert LICENSE to UTF-8.
- Drop bogus Requires.
